# FILE: vf.tcl
#
#	Vector Field support
#
# Last modified on: $Date: 1998/10/02 23:27:33 $
# Last modified by: $Author: dgp $
#
# When this version of the vf extension is selected by the 'package require'
# command, this file is sourced.

# Other package requirements
if {[catch {package require Tcl 8}]} {
    package require Tcl 7.5
}
package require Oc
if {[catch {package require Tk 8}]} {
    package require Tk 4.1
}

# CVS 
package provide Vf 1.0.1.0

# Set up for autoloading of vf extension commands
set vf(library) [file dirname [info script]]
if { [lsearch -exact $auto_path $vf(library)] == -1 } {
    lappend auto_path $vf(library)
}

# Load in any local modifications
set local [file join [file dirname [info script]] local vf.tcl]
if {[file isfile $local] && [file readable $local]} {
    uplevel #0 source [list $local]
}

